## Webhooks

### Update webhook

### cURL

```bash
curl \
  -X PATCH 'MEILISEARCH_URL/webhooks/WEBHOOK_UUID' \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "header": {
      "referer": null
    }
  }'
```

### Response Codes

- **200**
- **400**
- **401**
- **404**

### Example Response

```json
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "url": "https://your.site/on-tasks-completed",
  "headers": {
    "Authorization": "Bearer a-secret-token"
  },
  "isEditable": true
}
```

### PATCH /webhooks/{uuid}

### cURL

```bash
curl \
  -X PATCH 'MEILISEARCH_URL/webhooks/WEBHOOK_UUID' \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "header": {
      "referer": null
    }
  }'
```

### Response Codes

- **200**
- **400**
- **401**
- **404**

### Example Response

### Documentation Index

Fetch the complete documentation index at: [https://www.meilisearch.com/docs/llms.txt](/content/docs/llms.txt)

Use this file to discover all available pages before exploring further.

#### Authorizations

Authorization

- **Type**: string
- **Required**: header

An API key is a token that you provide when making API calls. Read more about [how to secure your project](/content/docs/learn/security/basic_security/index.html).

Include the API key to the `Authorization` header, for instance:

```bash
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
```

If you use a SDK, ensure you instantiate the client with the API key, for instance with [JS SDK](https://github.com/meilisearch/meilisearch-js):

```javascript
const client = new Meilisearch({
  host: 'MEILISEARCH_URL',
  apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
```

#### Path Parameters

- **uuid**: string<uuid>
  - **Required**: Universally unique identifier of the webhook.

#### Body

- **Type**: application/json

Configuration for a webhook endpoint

- **url**: string | null
  - URL endpoint to call when tasks complete.
  - Example: `"https://your.site/on-tasks-completed"`

- **headers**: object
  - HTTP headers to include in webhook requests.
  - Example:

```json
{ "Authorization": "Bearer a-secret-token" }
```

#### Response

- **Code**: 200
- **Type**: application/json

Webhook updated successfully. Returns the webhook with metadata and redacted authorization headers.

- **uuid**: string<uuid>
  - Required: Unique identifier of the webhook.

- **isEditable**: boolean
  - Required: Whether the webhook can be edited.

- **url**: string | null
  - URL endpoint to call when tasks complete.
  - Example: `"https://your.site/on-tasks-completed"`

- **headers**: object
  - HTTP headers to include in webhook requests.
  - Example:

```json
{ "Authorization": "Bearer a-secret-token" }
```
